=== modified file 'breezy/workspace.py'
--- breezy/workspace.py	2020-08-05 23:40:20 +0000
+++ breezy/workspace.py	2020-08-06 22:27:46 +0000
@@ -37,8 +37,8 @@
 class WorkspaceDirty(BzrError):
     _fmt = "The directory %(path)s has pending changes."
 
-    def __init__(self, tree):
-        BzrError(self, path=tree.abspath('.'))
+    def __init__(self, path):
+        BzrError.__init__(self, path=path)
 
 
 # TODO(jelmer): Move to .clean_tree?
@@ -69,12 +69,12 @@
     """
     # Just check there are no changes to begin with
     if local_tree.has_changes():
-        raise WorkspaceDirty(local_tree)
+        raise WorkspaceDirty(local_tree.abspath('.'))
     if list(local_tree.unknowns()):
-        raise WorkspaceDirty(local_tree)
-
-
-def delete_items(deletables, dry_run = False):
+        raise WorkspaceDirty(local_tree.abspath('.'))
+
+
+def delete_items(deletables, dry_run=False):
     """Delete files in the deletables iterable"""
     def onerror(function, path, excinfo):
         """Show warning for errors seen by rmtree.

